> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apiany.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 작업 상세 조회

> 비동기 이미지, 동영상 또는 향후 오디오 작업의 현재 상태와 최종 결과를 반환합니다.



## OpenAPI

````yaml /ko/openapi.json get /v1/tasks/{task_id}
openapi: 3.1.0
info:
  title: APIAny.AI 공개 API
  version: 1.0.0
  description: APIAny.AI의 모델 통합, 비동기 미디어 작업, 채팅 생성, 크레딧 조회 및 작업 조회를 위한 공개 API입니다.
servers:
  - url: https://apiany.ai
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Models
    description: 공개 모델 카탈로그입니다.
  - name: Chat
    description: 텍스트 생성 및 채팅 호환 엔드포인트입니다.
  - name: Images
    description: 이미지 생성 및 이미지 편집 엔드포인트입니다.
  - name: Videos
    description: 동영상 생성 엔드포인트입니다.
  - name: Moderation
    description: Image safety and moderation endpoints.
  - name: Tasks
    description: 비동기 작업 조회입니다.
  - name: Account
    description: 계정 및 크레딧 조회입니다.
  - name: Free APIs
    description: Free utility APIs protected by API key rate limits.
paths:
  /v1/tasks/{task_id}:
    get:
      tags:
        - Tasks
      summary: 작업 상세 조회
      description: 비동기 이미지, 동영상 또는 향후 오디오 작업의 현재 상태와 최종 결과를 반환합니다.
      operationId: getTask
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
          example: task_123
      responses:
        '200':
          description: 작업 상세 정보입니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: 작업을 찾을 수 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    TaskResponse:
      type: object
      properties:
        task_id:
          type: string
          example: task_123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - expired
        model:
          type: string
        created_at:
          type: string
          format: date-time
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        result:
          oneOf:
            - $ref: '#/components/schemas/MediaResult'
            - type: 'null'
        error:
          oneOf:
            - 6bacdce5-6168-4058-933c-0ebfee93e790
            - type: 'null'
      required:
        - task_id
        - status
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - invalid_request
                - auth_error
                - rate_limit
                - insufficient_quota
                - content_policy
                - timeout
                - network_error
                - service_error
                - billable_error
                - unknown
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            code:
              type:
                - string
                - 'null'
          required:
            - type
            - message
      required:
        - error
    MediaResult:
      description: >-
        완료된 작업의 결과입니다. 이미지 작업은 OpenAI 이미지 형식을 사용하며(이미지 주소는 data[0].url), 동영상 및
        오디오 작업은 video_url/audio_url과 urls[] 배열을 제공합니다.
      oneOf:
        - $ref: '#/components/schemas/ImageTaskResult'
        - $ref: '#/components/schemas/MediaUrlResult'
    ImageTaskResult:
      type: object
      description: 이미지 작업 결과입니다(OpenAI 이미지 형식). 이미지 주소는 data[0].url에 있습니다.
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
                format: uri
              b64_json:
                type: string
              revised_prompt:
                type: string
      required:
        - data
    MediaUrlResult:
      type: object
      description: >-
        동영상 또는 오디오 작업 결과입니다. 기본 주소는 video_url 또는 audio_url이며, 모든 산출물은 urls[]에도
        함께 나열됩니다.
      properties:
        status:
          type: string
        video_url:
          type: string
          format: uri
        audio_url:
          type: string
          format: uri
        output_url:
          type: string
          format: uri
        urls:
          type: array
          items:
            type: string
            format: uri
  responses:
    Unauthorized:
      description: API 키가 없거나 API 키가 유효하지 않습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````